Public Member Functions | Private Attributes | List of all members
librevenge::RVNGStringProperty Class Reference
Inheritance diagram for librevenge::RVNGStringProperty:

## Public Member Functions
| RVNGStringProperty (const RVNGString &str)
| RVNGStringProperty (const char *str)
| ~RVNGStringProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()

## Private Attributes
RVNGString | m_str

## Constructor & Destructor Documentation

## ◆ RVNGStringProperty() [1/2]

librevenge::RVNGStringProperty::RVNGStringProperty | ( | const RVNGString & | str | ) |

Referenced by clone().

## ◆ RVNGStringProperty() [2/2]

librevenge::RVNGStringProperty::RVNGStringProperty | ( | const char * | str | ) |

## ◆ ~RVNGStringProperty()

librevenge::RVNGStringProperty::~RVNGStringProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGStringProperty::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getDouble()

virtual double librevenge::RVNGStringProperty::getDouble | ( |  | ) | const
| inline virtual

Implements librevenge::RVNGProperty.

## ◆ getInt()

virtual int librevenge::RVNGStringProperty::getInt | ( |  | ) | const
| inline virtual

Implements librevenge::RVNGProperty.

## ◆ getStr()

RVNGString librevenge::RVNGStringProperty::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGStringProperty::getUnit | ( |  | ) | const
| inline virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

## Member Data Documentation

## ◆ m_str

RVNGString librevenge::RVNGStringProperty::m_str
| private

Referenced by clone(), and getStr().

The documentation for this class was generated from the following file:

- RVNGProperty.cpp